Partner API
Get partner analytics
Header Parameters
SW-PARTNER-ID*string
Partner organization identifier
SW-API-KEY*string
API authentication key
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/integrations/partner/analytics" \ -H "SW-PARTNER-ID: string" \ -H "SW-API-KEY: string"{ "success": true, "data": { "totalCustomers": 150, "activeCustomers": 142, "newCustomerLast30Days": 10, "totalMonitoredDomains": 310, "totalMonitoredEmails": 875, "totalBreachesDetected": 47 }}Update customer monitored assets (deprecated) PATCH
Deprecated. Use add/remove endpoints on `/assets/domains` and `/assets/emails` instead. This endpoint only upserts provided assets and does not remove omitted entries.
List partner customers GET
Returns a paginated list of customers for the authenticated partner. Each customer includes only the customer ID and status. Optionally filter by customer status.